

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.7.2.2. NormalizerNFKC100 &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.7.2.3. NormalizerNFKC51" href="normalizer_nfkc51.html" />
    <link rel="prev" title="7.7.2.1. NormalizerAuto" href="normalizer_auto.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/normalizers/normalizer_nfkc100.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="normalizer_nfkc51.html" title="7.7.2.3. NormalizerNFKC51"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="normalizer_auto.html" title="7.7.2.1. NormalizerAuto"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../normalizers.html" accesskey="U"><span class="section-number">7.7. </span>Normalizers</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.7.2.2. </span><code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="normalizernfkc100">
<span id="normalizer-nfkc100"></span><h1><span class="section-number">7.7.2.2. </span><code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code><a class="headerlink" href="#normalizernfkc100" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.7.2.2.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">New in version 8.0.2.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code> normalizes text by Unicode NFKC (Normalization Form Compatibility Composition)
for Unicode version 10.0.</p>
<p>This normalizer can change behavior by specifying options.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.7.2.2.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code> has optional parameter.</p>
<p>No options:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>NormalizerNFKC100
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code> normalizes text by Unicode NFKC (Normalization Form Compatibility Composition)
for Unicode version 10.0.</p>
<p>Specify option:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>NormalizerNFKC100(&quot;unify_kana&quot;, true)

NormalizerNFKC100(&quot;unify_kana_case&quot;, true)

NormalizerNFKC100(&quot;unify_kana_voiced_sound_mark&quot;, true)

NormalizerNFKC100(&quot;unify_hyphen&quot;, true)

NormalizerNFKC100(&quot;unify_prolonged_sound_mark&quot;, true)

NormalizerNFKC100(&quot;unify_hyphen_and_prolonged_sound_mark&quot;, true)

NormalizerNFKC100(&quot;unify_middle_dot&quot;, true)

NormalizerNFKC100(&quot;unify_katakana_v_sounds&quot;, true)

NormalizerNFKC100(&quot;unify_katakana_bu_sound&quot;, true)

NormalizerNFKC100(&quot;unify_to_romaji&quot;, true)
</pre></div>
</div>
<div class="versionadded">
<p><span class="versionmodified added">New in version 8.0.3: </span><a class="reference internal" href="#normalizer-nfkc100-unify-middle-dot"><span class="std std-ref">unify_middle_dot</span></a> is added.</p>
<p><a class="reference internal" href="#normalizer-nfkc100-unify-katakana-v-sounds"><span class="std std-ref">unify_katakana_v_sounds</span></a> is added.</p>
<p><a class="reference internal" href="#normalizer-nfkc100-unify-katakana-bu-sounds"><span class="std std-ref">unify_katakana_bu_sound</span></a> is added.</p>
</div>
<div class="versionadded">
<p><span class="versionmodified added">New in version 8.0.9: </span><a class="reference internal" href="#normalizer-nfkc100-unify-to-romaji"><span class="std std-ref">unify_to_romaji</span></a> is added.</p>
</div>
<p>Specify multiple options:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>NormalizerNFKC100(&quot;unify_to_romaji&quot;, true, &quot;unify_kana_case&quot;, true, &quot;unify_hyphen_and_prolonged_sound_mark&quot;, true)
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code> also specify multiple options as above.
You can also specify mingle multiple options except above example.</p>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.7.2.2.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
</div>
<div class="section" id="simple-usage">
<h2><span class="section-number">7.7.2.2.4. </span>Simple usage<a class="headerlink" href="#simple-usage" title="Permalink to this headline">¶</a></h2>
<p>Here is an example of <code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code>. <code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code> normalizes text by Unicode NFKC (Normalization Form Compatibility Composition) for Unicode version 10.0.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize NormalizerNFKC100 &quot;©&quot; WITH_TYPES
# [
#   [
#     0,
#     1546840077.247264,
#     0.0001680850982666016
#   ],
#   {
#     &quot;normalized&quot;: &quot;©&quot;,
#     &quot;types&quot;: [
#       &quot;emoji&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Here is an example of <a class="reference internal" href="#normalizer-nfkc100-unify-kana"><span class="std std-ref">unify_kana</span></a> option.</p>
<p>This option enables that same pronounced characters in all of full-width Hiragana, full-width Katakana and half-width Katakana are regarded as the same character as below.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_kana&quot;, true)&#39;   &quot;あイｳｪおヽヾ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546840210.809296,
#     0.0002298355102539062
#   ],
#   {
#     &quot;normalized&quot;: &quot;あいうぇおゝゞ&quot;,
#     &quot;types&quot;: [
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Here is an example of <a class="reference internal" href="#normalizer-nfkc100-unify-kana-case"><span class="std std-ref">unify_kana_case</span></a> option.</p>
<p>This option enables that large and small versions of same letters in all of full-width Hiragana, full-width Katakana and half-width Katakana are regarded as the same character as below.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_kana_case&quot;, true)&#39;   &quot;ぁあぃいぅうぇえぉおゃやゅゆょよゎわゕかゖけ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546840389.78734,
#     0.0001950263977050781
#   ],
#   {
#     &quot;normalized&quot;: &quot;ああいいううええおおややゆゆよよわわかかけけ&quot;,
#     &quot;types&quot;: [
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_kana_case&quot;, true)&#39;   &quot;ァアィイゥウェエォオャヤュユョヨヮワヵカヶケ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546840469.179984,
#     0.0002634525299072266
#   ],
#   {
#     &quot;normalized&quot;: &quot;アアイイウウエエオオヤヤユユヨヨワワカカケケ&quot;,
#     &quot;types&quot;: [
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Here is an example of <a class="reference internal" href="#normalizer-nfkc100-unify-kana-voiced-sound-mark"><span class="std std-ref">unify_kana_voiced_sound_mark</span></a> option.</p>
<p>This option enables that letters with/without voiced sound mark and semi voiced sound mark in all of full-width Hiragana, full-width Katakana and half-width Katakana are regarded as the same character as below.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_kana_voiced_sound_mark&quot;, true)&#39;   &quot;かがきぎくぐけげこごさざしじすずせぜそぞただちぢつづてでとどはばぱひびぴふぶぷへべぺほぼぽ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546840544.908633,
#     0.0002522468566894531
#   ],
#   {
#     &quot;normalized&quot;: &quot;かかききくくけけここささししすすせせそそたたちちつつててととはははひひひふふふへへへほほほ&quot;,
#     &quot;types&quot;: [
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;,
#       &quot;hiragana&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_kana_voiced_sound_mark&quot;, true)&#39;   &quot;カガキギクグケゲコゴサザシジスズセゼソゾタダチヂツヅテデトドハバパヒビピフブプヘベペホボポ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546840704.477687,
#     0.0002183914184570312
#   ],
#   {
#     &quot;normalized&quot;: &quot;カカキキククケケココササシシススセセソソタタチチツツテテトトハハハヒヒヒフフフヘヘヘホホホ&quot;,
#     &quot;types&quot;: [
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Here is an example of <a class="reference internal" href="#normalizer-nfkc100-unify-hyphen"><span class="std std-ref">unify_hyphen</span></a> option.
This option enables normalize hyphen to “-” (U+002D HYPHEN-MINUS) as below.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_hyphen&quot;, true)&#39;   &quot;-˗֊‐‑‒–⁃⁻₋−&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546840778.422051,
#     0.0001845359802246094
#   ],
#   {
#     &quot;normalized&quot;: &quot;-----------&quot;,
#     &quot;types&quot;: [
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Here is an example of <a class="reference internal" href="#normalizer-nfkc100-unify-prolonged-sound-mark"><span class="std std-ref">unify_prolonged_sound_mark</span></a> option.
This option enables normalize prolonged sound to “-” (U+30FC KATAKANA-HIRAGANA PROLONGED SOUND MARK) as below.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_prolonged_sound_mark&quot;, true)&#39;   &quot;ー—―─━ｰ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546840846.654316,
#     0.0001988410949707031
#   ],
#   {
#     &quot;normalized&quot;: &quot;ーーーーーー&quot;,
#     &quot;types&quot;: [
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Here is an example of <a class="reference internal" href="#normalizer-nfkc100-unify-hyphen-and-prolonged-sound-mark"><span class="std std-ref">unify_hyphen_and_prolonged_sound_mark</span></a> option.
This option enables normalize hyphen and prolonged sound to “-” (U+002D HYPHEN-MINUS) as below.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_hyphen_and_prolonged_sound_mark&quot;, true)&#39;   &quot;-˗֊‐‑‒–⁃⁻₋− ﹣－ ー—―─━ｰ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546840930.462605,
#     0.0001947879791259766
#   ],
#   {
#     &quot;normalized&quot;: &quot;----------- -- ------&quot;,
#     &quot;types&quot;: [
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;others&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;others&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Here is an example of <a class="reference internal" href="#normalizer-nfkc100-unify-middle-dot"><span class="std std-ref">unify_middle_dot</span></a> option.
This option enables normalize middle dot to “·” (U+00B7 MIDDLE DOT) as below.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_middle_dot&quot;, true)&#39;   &quot;·ᐧ•∙⋅⸱・･&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546840999.582769,
#     0.0001835823059082031
#   ],
#   {
#     &quot;normalized&quot;: &quot;········&quot;,
#     &quot;types&quot;: [
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;,
#       &quot;symbol&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Here is an example of <a class="reference internal" href="#normalizer-nfkc100-unify-katakana-v-sounds"><span class="std std-ref">unify_katakana_v_sounds</span></a> option.
This option enables normalize “ヴァヴィヴヴェヴォ” to “バビブベボ” as below.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_katakana_v_sounds&quot;, true)&#39;   &quot;ヴァヴィヴヴェヴォヴ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546841068.702912,
#     0.0002088546752929688
#   ],
#   {
#     &quot;normalized&quot;: &quot;バビブベボブ&quot;,
#     &quot;types&quot;: [
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Here is an example of <a class="reference internal" href="#normalizer-nfkc100-unify-katakana-bu-sounds"><span class="std std-ref">unify_katakana_bu_sound</span></a> option.
This option enables normalize “ヴァヴィヴゥヴェヴォ” to “ブ” as below.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_katakana_bu_sound&quot;, true)&#39;   &quot;ヴァヴィヴヴェヴォヴ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546841138.543078,
#     0.0001876354217529297
#   ],
#   {
#     &quot;normalized&quot;: &quot;ブブブブブブ&quot;,
#     &quot;types&quot;: [
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;,
#       &quot;katakana&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
<p>Here is an example of <a class="reference internal" href="#normalizer-nfkc100-unify-to-romaji"><span class="std std-ref">unify_to_romaji</span></a> option.
This option enables normalize hiragana and katakana to romaji as below.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize   &#39;NormalizerNFKC100(&quot;unify_to_romaji&quot;, true)&#39;   &quot;アァイィウゥエェオォ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546841200.15132,
#     0.0001931190490722656
#   ],
#   {
#     &quot;normalized&quot;: &quot;axaixiuxuexeoxo&quot;,
#     &quot;types&quot;: [
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
</div>
<div class="section" id="advanced-usage">
<h2><span class="section-number">7.7.2.2.5. </span>Advanced usage<a class="headerlink" href="#advanced-usage" title="Permalink to this headline">¶</a></h2>
<p>You can output romaji of specific a part of speech with using to combine
<code class="docutils literal notranslate"><span class="pre">TokenMecab</span></code> and <code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code> as below.</p>
<p>First of all, you extract reading of a noun with excluding non-independent word and suffix of person name with <code class="docutils literal notranslate"><span class="pre">target_class</span></code> option and <code class="docutils literal notranslate"><span class="pre">include_reading</span></code> option.</p>
<p>Next, you normalize reading of the noun that extracted with <code class="docutils literal notranslate"><span class="pre">unify_to_romaji</span></code> option of <code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code>.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize &#39;TokenMecab(&quot;target_class&quot;, &quot;-名詞/非自立&quot;, &quot;target_class&quot;, &quot;-名詞/接尾/人名&quot;, &quot;target_class&quot;, &quot;名詞&quot;, &quot;include_reading&quot;, true)&#39; &#39;彼の名前は山田さんのはずです。&#39;
# [
#   [
#     0,
#     1546841272.495518,
#     0.0003752708435058594
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;彼&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false,
#       &quot;metadata&quot;: {
#         &quot;reading&quot;: &quot;カレ&quot;
#       }
#     },
#     {
#       &quot;value&quot;: &quot;名前&quot;,
#       &quot;position&quot;: 1,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false,
#       &quot;metadata&quot;: {
#         &quot;reading&quot;: &quot;ナマエ&quot;
#       }
#     },
#     {
#       &quot;value&quot;: &quot;山田&quot;,
#       &quot;position&quot;: 2,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false,
#       &quot;metadata&quot;: {
#         &quot;reading&quot;: &quot;ヤマダ&quot;
#       }
#     }
#   ]
# ]
normalize   &#39;NormalizerNFKC100(&quot;unify_to_romaji&quot;, true)&#39;   &quot;カレ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546841303.223331,
#     0.000186920166015625
#   ],
#   {
#     &quot;normalized&quot;: &quot;kare&quot;,
#     &quot;types&quot;: [
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
normalize   &#39;NormalizerNFKC100(&quot;unify_to_romaji&quot;, true)&#39;   &quot;ナマエ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546841329.839442,
#     0.0001835823059082031
#   ],
#   {
#     &quot;normalized&quot;: &quot;namae&quot;,
#     &quot;types&quot;: [
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
normalize   &#39;NormalizerNFKC100(&quot;unify_to_romaji&quot;, true)&#39;   &quot;ヤマダ&quot;   WITH_TYPES
# [
#   [
#     0,
#     1546841358.479471,
#     0.0001850128173828125
#   ],
#   {
#     &quot;normalized&quot;: &quot;yamada&quot;,
#     &quot;types&quot;: [
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;,
#       &quot;alpha&quot;
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.7.2.2.6. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<div class="section" id="optional-parameter">
<h3><span class="section-number">7.7.2.2.6.1. </span>Optional parameter<a class="headerlink" href="#optional-parameter" title="Permalink to this headline">¶</a></h3>
<p>There are optional parameters as below.</p>
<div class="section" id="unify-kana">
<span id="normalizer-nfkc100-unify-kana"></span><h4><span class="section-number">7.7.2.2.6.1.1. </span><code class="docutils literal notranslate"><span class="pre">unify_kana</span></code><a class="headerlink" href="#unify-kana" title="Permalink to this headline">¶</a></h4>
<p>This option enables that same pronounced characters in all of full-width Hiragana, full-width Katakana and half-width Katakana are regarded as the same character.</p>
</div>
<div class="section" id="unify-kana-case">
<span id="normalizer-nfkc100-unify-kana-case"></span><h4><span class="section-number">7.7.2.2.6.1.2. </span><code class="docutils literal notranslate"><span class="pre">unify_kana_case</span></code><a class="headerlink" href="#unify-kana-case" title="Permalink to this headline">¶</a></h4>
<p>This option enables that large and small versions of same letters in all of full-width Hiragana, full-width Katakana and half-width Katakana are regarded as the same character.</p>
</div>
<div class="section" id="unify-kana-voiced-sound-mark">
<span id="normalizer-nfkc100-unify-kana-voiced-sound-mark"></span><h4><span class="section-number">7.7.2.2.6.1.3. </span><code class="docutils literal notranslate"><span class="pre">unify_kana_voiced_sound_mark</span></code><a class="headerlink" href="#unify-kana-voiced-sound-mark" title="Permalink to this headline">¶</a></h4>
<p>This option enables that letters with/without voiced sound mark and semi voiced sound mark in all of full-width Hiragana, full-width Katakana and half-width Katakana are regarded as the same character.</p>
</div>
<div class="section" id="unify-hyphen">
<span id="normalizer-nfkc100-unify-hyphen"></span><h4><span class="section-number">7.7.2.2.6.1.4. </span><code class="docutils literal notranslate"><span class="pre">unify_hyphen</span></code><a class="headerlink" href="#unify-hyphen" title="Permalink to this headline">¶</a></h4>
<p>This option enables normalize hyphen to “-” (U+002D HYPHEN-MINUS).</p>
<p>Hyphen of the target of normalizing is as below.</p>
<ul class="simple">
<li><p>“-” (U+002D HYPHEN-MINUS)</p></li>
<li><p>“֊” (U+058A ARMENIAN HYPHEN)</p></li>
<li><p>“˗” (U+02D7 MODIFIER LETTER MINUS SIGN)</p></li>
<li><p>“‐” (U+2010 HYPHEN)</p></li>
<li><p>“—” (U+2014 EM DASH)</p></li>
<li><p>“⁃” (U+2043 HYPHEN BULLET)</p></li>
<li><p>“⁻” (U+207B SUPERSCRIPT MINUS)</p></li>
<li><p>“₋” (U+208B SUBSCRIPT MINUS)</p></li>
<li><p>“−” (U+2212 MINUS SIGN)</p></li>
</ul>
</div>
<div class="section" id="unify-prolonged-sound-mark">
<span id="normalizer-nfkc100-unify-prolonged-sound-mark"></span><h4><span class="section-number">7.7.2.2.6.1.5. </span><code class="docutils literal notranslate"><span class="pre">unify_prolonged_sound_mark</span></code><a class="headerlink" href="#unify-prolonged-sound-mark" title="Permalink to this headline">¶</a></h4>
<p>This option enables normalize prolonged sound to “-” (U+30FC KATAKANA-HIRAGANA PROLONGED SOUND MARK).</p>
<p>Prolonged sound of the target of normalizing is as below.</p>
<ul class="simple">
<li><p>“—” (U+2014 EM DASH)</p></li>
<li><p>“―” (U+2015 HORIZONTAL BAR)</p></li>
<li><p>“─” (U+2500 BOX DRAWINGS LIGHT HORIZONTAL)</p></li>
<li><p>“━” (U+2501 BOX DRAWINGS HEAVY HORIZONTAL)</p></li>
<li><p>“ー” (U+30FC KATAKANA-HIRAGANA PROLONGED SOUND MARK)</p></li>
<li><p>“ｰ” (U+FF70 HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK)</p></li>
</ul>
</div>
<div class="section" id="unify-hyphen-and-prolonged-sound-mark">
<span id="normalizer-nfkc100-unify-hyphen-and-prolonged-sound-mark"></span><h4><span class="section-number">7.7.2.2.6.1.6. </span><code class="docutils literal notranslate"><span class="pre">unify_hyphen_and_prolonged_sound_mark</span></code><a class="headerlink" href="#unify-hyphen-and-prolonged-sound-mark" title="Permalink to this headline">¶</a></h4>
<p>This option enables normalize hyphen and prolonged sound to “-” (U+002D HYPHEN-MINUS).</p>
<p>Hyphen and prolonged sound of the target normalizing is below.</p>
<ul class="simple">
<li><p>“-” (U+002D HYPHEN-MINUS)</p></li>
<li><p>“֊” (U+058A ARMENIAN HYPHEN)</p></li>
<li><p>“˗” (U+02D7 MODIFIER LETTER MINUS SIGN)</p></li>
<li><p>“‐” (U+2010 HYPHEN)</p></li>
<li><p>“—” (U+2014 EM DASH)</p></li>
<li><p>“⁃” (U+2043 HYPHEN BULLET)</p></li>
<li><p>“⁻” (U+207B SUPERSCRIPT MINUS)</p></li>
<li><p>“₋” (U+208B SUBSCRIPT MINUS)</p></li>
<li><p>“−” (U+2212 MINUS SIGN)</p></li>
<li><p>“—” (U+2014 EM DASH)</p></li>
<li><p>“―” (U+2015 HORIZONTAL BAR)</p></li>
<li><p>“─” (U+2500 BOX DRAWINGS LIGHT HORIZONTAL)</p></li>
<li><p>“━” (U+2501 BOX DRAWINGS HEAVY HORIZONTAL)</p></li>
<li><p>“ー” (U+30FC KATAKANA-HIRAGANA PROLONGED SOUND MARK)</p></li>
<li><p>“ｰ” (U+FF70 HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK)</p></li>
</ul>
</div>
<div class="section" id="unify-middle-dot">
<span id="normalizer-nfkc100-unify-middle-dot"></span><h4><span class="section-number">7.7.2.2.6.1.7. </span><code class="docutils literal notranslate"><span class="pre">unify_middle_dot</span></code><a class="headerlink" href="#unify-middle-dot" title="Permalink to this headline">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">New in version 8.0.3.</span></p>
</div>
<p>This option enables normalize middle dot to “·” (U+00B7 MIDDLE DOT).</p>
<p>Middle dot of the target of normalizing is as below.</p>
<ul class="simple">
<li><p>“·” (U+00B7 MIDDLE DOT)</p></li>
<li><p>“ᐧ” (U+1427 CANADIAN SYLLABICS FINAL MIDDLE DOT)</p></li>
<li><p>“•” (U+2022 BULLET)</p></li>
<li><p>“∙” (U+2219 BULLET OPERATOR)</p></li>
<li><p>“⋅” (U+22C5 DOT OPERATOR)</p></li>
<li><p>“⸱” (U+2E31 WORD SEPARATOR MIDDLE DOT)</p></li>
<li><p>“・” (U+30FB KATAKANA MIDDLE DOT)</p></li>
<li><p>“･” (U+FF65 HALFWIDTH KATAKANA MIDDLE DOT)</p></li>
</ul>
</div>
<div class="section" id="unify-katakana-v-sounds">
<span id="normalizer-nfkc100-unify-katakana-v-sounds"></span><h4><span class="section-number">7.7.2.2.6.1.8. </span><code class="docutils literal notranslate"><span class="pre">unify_katakana_v_sounds</span></code><a class="headerlink" href="#unify-katakana-v-sounds" title="Permalink to this headline">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">New in version 8.0.3.</span></p>
</div>
<p>This option enables normalize “ヴァヴィヴヴェヴォ” to “バビブベボ”.</p>
</div>
<div class="section" id="unify-katakana-bu-sound">
<span id="normalizer-nfkc100-unify-katakana-bu-sounds"></span><h4><span class="section-number">7.7.2.2.6.1.9. </span><code class="docutils literal notranslate"><span class="pre">unify_katakana_bu_sound</span></code><a class="headerlink" href="#unify-katakana-bu-sound" title="Permalink to this headline">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">New in version 8.0.3.</span></p>
</div>
<p>This option enables normalize “ヴァヴィヴゥヴェヴォ” to “ブ”.</p>
</div>
<div class="section" id="unify-to-romaji">
<span id="normalizer-nfkc100-unify-to-romaji"></span><h4><span class="section-number">7.7.2.2.6.1.10. </span><code class="docutils literal notranslate"><span class="pre">unify_to_romaji</span></code><a class="headerlink" href="#unify-to-romaji" title="Permalink to this headline">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">New in version 8.0.9.</span></p>
</div>
<p>This option enables normalize hiragana and katakana to romaji.</p>
</div>
</div>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.7.2.2.7. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="../commands/normalize.html"><span class="doc">normalize</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.7.2.2. <code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.7.2.2.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.7.2.2.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.7.2.2.3. Usage</a></li>
<li><a class="reference internal" href="#simple-usage">7.7.2.2.4. Simple usage</a></li>
<li><a class="reference internal" href="#advanced-usage">7.7.2.2.5. Advanced usage</a></li>
<li><a class="reference internal" href="#parameters">7.7.2.2.6. Parameters</a><ul>
<li><a class="reference internal" href="#optional-parameter">7.7.2.2.6.1. Optional parameter</a><ul>
<li><a class="reference internal" href="#unify-kana">7.7.2.2.6.1.1. <code class="docutils literal notranslate"><span class="pre">unify_kana</span></code></a></li>
<li><a class="reference internal" href="#unify-kana-case">7.7.2.2.6.1.2. <code class="docutils literal notranslate"><span class="pre">unify_kana_case</span></code></a></li>
<li><a class="reference internal" href="#unify-kana-voiced-sound-mark">7.7.2.2.6.1.3. <code class="docutils literal notranslate"><span class="pre">unify_kana_voiced_sound_mark</span></code></a></li>
<li><a class="reference internal" href="#unify-hyphen">7.7.2.2.6.1.4. <code class="docutils literal notranslate"><span class="pre">unify_hyphen</span></code></a></li>
<li><a class="reference internal" href="#unify-prolonged-sound-mark">7.7.2.2.6.1.5. <code class="docutils literal notranslate"><span class="pre">unify_prolonged_sound_mark</span></code></a></li>
<li><a class="reference internal" href="#unify-hyphen-and-prolonged-sound-mark">7.7.2.2.6.1.6. <code class="docutils literal notranslate"><span class="pre">unify_hyphen_and_prolonged_sound_mark</span></code></a></li>
<li><a class="reference internal" href="#unify-middle-dot">7.7.2.2.6.1.7. <code class="docutils literal notranslate"><span class="pre">unify_middle_dot</span></code></a></li>
<li><a class="reference internal" href="#unify-katakana-v-sounds">7.7.2.2.6.1.8. <code class="docutils literal notranslate"><span class="pre">unify_katakana_v_sounds</span></code></a></li>
<li><a class="reference internal" href="#unify-katakana-bu-sound">7.7.2.2.6.1.9. <code class="docutils literal notranslate"><span class="pre">unify_katakana_bu_sound</span></code></a></li>
<li><a class="reference internal" href="#unify-to-romaji">7.7.2.2.6.1.10. <code class="docutils literal notranslate"><span class="pre">unify_to_romaji</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#see-also">7.7.2.2.7. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="normalizer_auto.html"
                        title="previous chapter"><span class="section-number">7.7.2.1. </span><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="normalizer_nfkc51.html"
                        title="next chapter"><span class="section-number">7.7.2.3. </span><code class="docutils literal notranslate"><span class="pre">NormalizerNFKC51</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="normalizer_nfkc51.html" title="7.7.2.3. NormalizerNFKC51"
             >next</a> |</li>
        <li class="right" >
          <a href="normalizer_auto.html" title="7.7.2.1. NormalizerAuto"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../normalizers.html" ><span class="section-number">7.7. </span>Normalizers</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.7.2.2. </span><code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>